org.mariadb.jdbc.internal.packet.dao.parameters

## Class LongDataParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.LongDataParameter

All Implemented Interfaces:
  ParameterHolder

Direct Known Subclasses:
  ReaderParameter, SerializableParameter, StreamParameter

    public abstract class LongDataParameter
    extends Object
    implements ParameterHolder

### Constructor Summary

Constructors
Constructor and Description
`LongDataParameter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `isLongData()`
`boolean` `isNullData()`
`abstract void` `sendComLongData(int statementId, short parameterId, PacketOutputStream writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder

`getApproximateTextProtocolLength, getMariaDbType, toString, writeTo, writeUnsafeTo`

### Constructor Detail

#### LongDataParameter

    public LongDataParameter()

### Method Detail

#### sendComLongData

    public abstract void sendComLongData(int statementId,
                                         short parameterId,
                                         PacketOutputStream writer)
                                  throws IOException,
                                         QueryException

Throws:
  `IOException`
  `QueryException`

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in interface `ParameterHolder`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`